Package Gnumed :: Package business :: Module gmMedication :: Class cDrugDataSourceInterface |
[frames] | no frames]

# Class cDrugDataSourceInterface

source code

    object --+
             |
            cDrugDataSourceInterface

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
get_data_source_version(self) | source code
create_data_source_entry(self) | source code
switch_to_frontend(self, blocking=False) | source code
import_drugs(self) | source code
check_interactions(self, substance_intakes=None) | source code
show_info_on_drug(self, substance_intake=None) | source code
show_info_on_substance(self, substance_intake=None) | source code
prescribe(self, substance_intakes=None) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)